package com.wms.constants;

import java.math.BigDecimal;
import java.util.Map;

import com.google.common.collect.ImmutableMap;
import com.wms.constants.enums.WcsTaskStatus;
import com.wms.constants.enums.WmsTaskStatus;

/**
 * WMS系统所需的常量
 * @author 梁州
 * &#064;date  2023/2/13
 */
public class WmsConstants {
    public static String EMPTY_STRING = "";
    public static String ROOT_MENU_ID = "0";

    public static String MYSQL_JSON_CI = "COLLATE utf8mb4_general_ci";

    public static Map<String, String> type_values = ImmutableMap.<String, String>builder()
            .put("LR01", "CLC一箱两料")
            .put("LR02", "CLC一箱一料")
            .put("UD01", "CLC一箱两料")
            .put("FC01", "CLC一箱一料")
            .put("FB01", "No-CLC")
            .put("FB02", "间接物料")
            .put("FB03", "间接物料")
            .put("FB04", "间接物料")
            .put("FB05", "间接物料")
            .put("FB06", "间接物料")
            .build();
    public static Map<String, String> type_descriptions = ImmutableMap.<String, String>builder()
            .put("LR01", "810左右4个")
            .put("LR02", "811左右2个")
            .put("UD01", "911上下2个")
            .put("FC01", "822整体1个")
            .put("FB01", "分包1个料箱")
            .put("FB02", "分包1/2个料箱")
            .put("FB03", "分包1/3个料箱")
            .put("FB04", "分包1/4个料箱")
            .put("FB05", "分包1/5个料箱")
            .put("FB06", "分包1/6个料箱")
            .build();
}